#include <Servo.h>
Servo servo; 

int ledPin = 13;//定义引脚13

//int ENA=8;  //这里填写使能信号需要的io口
int PUL=3;    //这里填写脉冲信号需要的io口
int DIR=4;    //这里填写方向信号需要的io口
int DB=8;     //底部限位开关需要的io口
int D1=9;     //门限位开关需要的io口

int ledpin=5; //灯引脚
int fanpin=6; //风扇引脚············
int warpin=7; //水泵引脚
int x;

int a = 30;   //舵机角度
int num1a = 90;
int num1b = num1a-a;

int pos = 0; 
volatile boolean sevState1;

char buf_1[] = {0xAA,0X55};
char buf_2[] = {0x55,0XAA};
void setup() 
{
  Serial.begin(9600);
  pinMode( ledPin, OUTPUT);
  pinMode(PUL, OUTPUT);   //设置io口输出
  pinMode(DIR, OUTPUT);   //设置io口输出
  pinMode(ledpin, OUTPUT);//设置io口输出
  pinMode(fanpin, OUTPUT);//设置io口输出
  pinMode(warpin, OUTPUT);//设置io口输出
  pinMode(8, INPUT);      //设置门io口输入
  pinMode(9, INPUT);      //设置电机io口输入
  pinMode(10, OUTPUT);    //设置屏温度io口输出
  pinMode(11, OUTPUT);    //设置屏湿度io口输出
  pinMode(12, OUTPUT);    //设置屏土壤湿度io口输出
  
  digitalWrite(ledpin,HIGH);
  digitalWrite(fanpin,HIGH);
  digitalWrite(warpin,HIGH);
  
//pinMode(ENA, OUTPUT);  //设置io口输出
 
//digitalWrite(ENA,LOW); //LOW表示使能开启，HIGH表示使能关闭
  servo.attach(2);
  servo.write(num1a);  
  sevState1 = true;
}
 
void loop() 
{ 
  while (Serial.available())
    {
       char vol = Serial.read();
       switch(vol)
         {
           //Serial.println(vol); 
           case 1 :Serial.write(1);Blink1();break;//平台抬起
           case 2 :Serial.write(2);Blink2();break;//平台归位 
           case 3 :Serial.write(buf_1,2);Serial.write(3);Serial.write(15);
                   Serial.write(buf_2,2);Blink3();break;//开启照明
                   
//           case 4 :Serial.println(vol); digitalWrite(13,LOW); digitalWrite(ledpin,HIGH);break;//关闭照明
           
//           case 5 :digitalWrite(13,HIGH);digitalWrite(fanpin,LOW);break;//开启风扇
//           case 6 :digitalWrite(fanpin,HIGH);digitalWrite(13,LOW);break;//关闭风扇
//           case 7 :digitalWrite(13,HIGH);digitalWrite(warpin,LOW);break;//开启水泵
//           case 8 :digitalWrite(13,LOW);digitalWrite(warpin,HIGH);break;//关闭水泵
//           case 9 :digitalWrite(13,HIGH);break;//屏幕展开
//           case 0 :digitalWrite(13,LOW); break;//屏幕归位
//           case 10 :digitalWrite(13,HIGH);digitalWrite(10,LOW); 
//                    digitalWrite(11,LOW); digitalWrite(12,LOW);break;//显示主页
//           case 11 :digitalWrite(13,LOW); digitalWrite(10,HIGH);
//                    digitalWrite(11,LOW); digitalWrite(12,LOW);break;//显示区域温度
//           case 12 :digitalWrite(13,HIGH);digitalWrite(10,LOW); 
//                    digitalWrite(11,HIGH);digitalWrite(12,LOW);break;//显示区域湿度
//           case 13 :digitalWrite(13,LOW); digitalWrite(10,LOW); 
//                    digitalWrite(11,LOW); digitalWrite(12,HIGH);break;//显示区域土壤湿度      
        
          }
    }
}


void Blink1() 
{
  digitalWrite(ledPin, HIGH);//LED灯亮
  delay(1000);//等待1秒
  digitalWrite(ledPin, LOW);//LED灯灭
  delay(1000);
}

void Blink2() 
{
  Blink1();
  Blink1();
}
void Blink3() 
{
  Blink1();
  Blink2();
}
////  digitalWrite(DIR,HIGH);//正转
////  digitalWrite(DIR,LOW);//反转
////  maichong(1000,5);
//
//}
// 
////设置一个脉冲函数
//void maichong(int times,int speed)//times是脉冲的数量，speed是脉冲间隔，对应着电机的速度
//{
//  for(x=0; x<times; x++)
//  {
//    digitalWrite(PUL,HIGH);
//    delayMicroseconds(200);//这个函数单位为微秒
//    digitalWrite(PUL,LOW);
//    delayMicroseconds(200);//驱动器说明书规定了脉冲信号的持续时间，在规定的时间内选择尽量小的数值
//    delay(speed);//前后两个脉冲之间的间隔
//  }
//}
//
//void bk()
//{
//  if(digitalRead(D1)==HIGH)
//    {
//      digitalWrite(DIR,HIGH);//正转
//      while(!digitalRead(DB))
//        {
//          digitalWrite(PUL,HIGH);
//          delayMicroseconds(200);//这个函数单位为微秒
//          digitalWrite(PUL,LOW);
//          delayMicroseconds(200);//驱动器说明书规定了脉冲信号的持续时间，在规定的时间内选择尽量小的数值
//          delay(1);//前后两个脉冲之间的间隔
//        }
//      digitalWrite(PUL,LOW); 
//    }
//  else
//   {
//     digitalWrite(PUL,LOW);
//     Serial.write(1);
//   }  
//}
//  
//  
//void up()
//  {
//    bk();
//    delay(100);
//    maichong(1000,1);
//  }
//
//void op()
//{
//  if(sevState1==1)
//    {
//      for(pos = 0; pos <= a; pos += 1) 
//        { 
//           servo.write(num1a-pos);              
//           delay(15);                       
//        }
//      sevState1=!sevState1;
//    }
//  if(sevState1==0)  
//    {
//    }
//  delay(100); 
//}
//
//void cl()
//{
//  if(sevState1==0)
//    {
//      for(pos = 0; pos <= a; pos += 1) 
//        { 
//          servo.write(num1b+pos);              
//          delay(15);                       
//        }
//      sevState1=!sevState1;
//    }
//  if(sevState1==1)  
//    {
//    }
//    delay(100);
//}
